<?php

class Default_Form_AuthLogin extends My_Form {

	public function init() {

		parent::init();

		$email = new Zend_Form_Element_Text('Email');
		$email
			->addValidator('EmailAddress')
			->setRequired(true)
			->setLabel('E-postadress:');

		$password = new Zend_Form_Element_Password('Password');
		$password
			->setRequired(true)
			->setLabel('Lösenord:');

		
		$submit = new Zend_Form_Element_Submit('submit');
		$submit
			->setLabel('Logga in');
		
		$this->addElements(array($email, $password, $submit))
			->addDisplayGroup(array('Email', 'Password','submit'), 'MY', array("legend" => 'Logga in'));
	}
}
