<?php
echo '<div style="width:900px; background:#fff; padding:20px; border: 2px solid red; margin-left:auto; margin-right: auto; margin-top: 20px;">';
$profiler = $db->getProfiler();
$totalTime = $profiler->getTotalElapsedSecs();
$queryCount = $profiler->getTotalNumQueries();
$longestTime = 0;
$longestQuery = null;
$queries = '';
foreach ($profiler->getQueryProfiles() as $query) {
	if ($query->getElapsedSecs() > $longestTime) {
		$longestTime  = $query->getElapsedSecs();
		$longestQuery = $query->getQuery();
	}
	$queries .= '<small>('.round($query->getElapsedSecs(),5).' seconds)'.$query->getQuery().'Params:'.Zend_Debug::dump($query->getQueryParams(),null,false).'Has ended: ' .$query->hasEnded() . ' Type:' .$query->getQueryType() . '</small><hr style="border: 1px solid #ccc">';
}
echo '
Executed <strong>' . $queryCount . '</strong> queries in <strong>' . $totalTime . ' seconds</strong><br>
Average query length: ' . $totalTime / $queryCount . ' seconds <br>
Queries per second: ' . $queryCount / $totalTime . '<br>
Longest query length: ' . $longestTime . '<br>
Longest query: ' . $longestQuery . '<br>
<hr style="border: 1px solid #ccc">'.$queries .'
</div>
';