<?php

class Default_Form_AuthNewPassword extends My_Form {

	public function init() {
		
		$password = new Zend_Form_Element_Password('Password');
		$password->setOptions(
		array(
        'label'       => 'Password',
        'required'   => true,
        'filters'      => array('StringTrim'),
        'validators' => array('NotEmpty','Alnum'),
		)
		);
		// Skapa SameAs validatorn och sätt vilket den skall jämföras med
		$sameAsValidator = new My_Validate_SameAs($password);
		
		$password2 = new Zend_Form_Element_Password('Password2');
		$password2->setOptions(
		array(
		        'label'        => 'Bekräfta lösenord',
		        'required'   => true,
		        'filters'      => array('StringTrim'),
		        'validators' => array('NotEmpty','Alnum', $sameAsValidator),
		)
		);

		$submit = new Zend_Form_Element_Submit('submit');
		$submit->setLabel('Byt lösenord');

		$this->addElements(array($password, $password2, $submit))
		->addDisplayGroup(array('Password', 'Password2', 'submit'), 'My', array("legend" => 'Byt lösenord'));
	}
}
